## tstools 0.3.5.1

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.3.5.1
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
Date: 2018-02-06
URL: https://github.com/mbannert/tstools
BugReports: https://github.com/mbannert/tstools/issues
License: GPL-2
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-06 19:33:48 UTC; mbannert
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
Repository: CRAN
Date/Publication: 2018-02-07 13:08:21 UTC
