## tstools 0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: tstools
 Title: A Time Series Toolbox for Official Statistics
-Version: 0.4.3
+Version: 0.4.4
 Authors@R: c(
     person("Matthias", "Bannert", , "bannert@kof.ethz.ch", role = "aut"),
     person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", role = "aut"),
@@ -18,20 +18,22 @@
     the user to export / import long format, wide format and transposed
     wide format data to various file types.
 License: GPL-2
-URL: https://github.com/KOF-ch/tstools
+URL: https://kof-ch.github.io/tstools/,
+        https://github.com/KOF-ch/tstools
 BugReports: https://github.com/KOF-ch/tstools/issues
 Depends: R (>= 3.0.0), zoo (>= 1.7-12)
 Imports: data.table, graphics, jsonlite, stats, xts, yaml
-Suggests: knitr, openxlsx, reshape2, rmarkdown, testthat
+Suggests: knitr, openxlsx, reshape2, rmarkdown, testthat (>= 3.0.0)
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-RoxygenNote: 7.2.3
-Packaged: 2024-01-18 17:35:15 UTC; sb
+RoxygenNote: 7.3.3
+Config/testthat/edition: 3
+Packaged: 2025-09-11 10:32:23 UTC; sb
 Author: Matthias Bannert [aut],
   Severin Thoeni [aut],
   Stéphane Bisinger [aut, cre]
 Maintainer: Stéphane Bisinger <bisinger@kof.ethz.ch>
 Repository: CRAN
-Date/Publication: 2024-01-18 18:10:02 UTC
+Date/Publication: 2025-09-11 10:50:08 UTC
