=== debian/changelog ===
tstools (1.13~git20151030-7) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1098019)

 -- Adrian Bunk <bunk@debian.org>  Tue, 30 Sep 2025 16:23:46 +0300

tstools (1.13~git20151030-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:24:56 +0000

tstools (1.13~git20151030-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Use dh13 syntax.
  * debian/*.1: Dropped in favor of upstream-provided mdocs.
  * debian/copyright: Drop my name from copyright holder. This was
    wrongly added in the last upload.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2020 09:16:35 -0400

tstools (1.13~git20151030-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - debhelper-compat bumped level to 13.
  * debian/copyright: Update years of copyright.
  * debian/patches: 0002-fix-spelling-error.patch added to fix
    some spelling.
  * debian/upstream/metadata: Created.
  * debian/rules: Remove not needed injection of linker flags and
    removed unnecessary lines.

 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Fri, 19 Jun 2020 09:49:58 -0300

tstools (1.13~git20151030-3) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * debian/rules: Fix FTCBFS: Export a suitable LD.
    (Closes: #943852)

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 14:28:41 -0500

tstools (1.13~git20151030-2) unstable; urgency=high

  * QA upload.
  * debian/rules: Install tsfilter tool as tsfilter.tstools at
    this moment since tsfilter has already been provided by
    openraster. (Closes: #942040)
  * debian/control: Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Oct 2019 13:30:38 -0400

tstools (1.13~git20151030-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    + Fix FTBFS with new gcc.
      (Closes: #925842, LP: #832801)
    + The package now builds fine with new make. (Closes: #726424)
  * Orphan the package since the original maintainer has agreed
    to have package maintainership transferred.
    (Closes: #941364)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Add Vcs-* fields for git packaging repo under Salsa Debian Group.
    + Update homepage and point to a GitHub project.
  * debian/rules: Use dh sequencer. (Closes: #923280)
  * debian/dirs: Removed, useless.
  * debian/copyright: Rewrite in machine-readable format.
  * debian/source/format: Explicitly use "3.0 (quilt)" format.
  * debian/patches: Fix Makefile for correct installation prefix.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Oct 2019 11:34:56 -0400

tstools (1.11-1) unstable; urgency=low

  * Initial release (Closes: #505304)

 -- Lorenzo Granai <lgranai@gmail.com>  Tue, 11 Nov 2008 15:47:39 +0000
