=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

DEB_CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
DEB_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

export DEB_CFLAGS
export DEB_LDFLAGS

%:
	dh $@

execute_after_dh_auto_install:
	# /usr/bin/tsfilter is provided by openraster at this time
	mv $(CURDIR)/debian/tstools/usr/bin/tsfilter $(CURDIR)/debian/tstools/usr/bin/tsfilter.tstools
	mv $(CURDIR)/debian/tstools/usr/share/man/man1/tsfilter.1 $(CURDIR)/debian/tstools/usr/share/man/man1/tsfilter.tstools.1
